package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxLiveBill;
import com.propertyManagement.business.domain.vo.WxLiveBillVo;
import com.propertyManagement.business.domain.bo.WxLiveBillBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 生活缴费账单Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxLiveBillService {

    /**
     * 查询生活缴费账单
     */
    WxLiveBillVo queryById(Long billId);

    /**
     * 查询生活缴费账单列表
     */
    TableDataInfo<WxLiveBillVo> queryPageList(WxLiveBillBo bo, PageQuery pageQuery);

    /**
     * 查询生活缴费账单列表
     */
    List<WxLiveBillVo> queryList(WxLiveBillBo bo);

    /**
     * 创建缴费账单
     */
    WxLiveBillBo add(WxLiveBillBo bo);

    /**
     * 新增生活缴费账单
     */
    Boolean insertByBo(WxLiveBillBo bo);

    /**
     * 修改生活缴费账单
     */
    Boolean updateByBo(WxLiveBillBo bo);

    /**
     * 校验并批量删除生活缴费账单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
